Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::CCMHome Interface Reference

`import "CCM_Component.idl";`

Inheritance diagram for Components::CCMHome:

[legend]
List of all members.

## Public Methods
CORBA::IRObject | get_component_def ()
CORBA::IRObject | get_home_def ()
void | remove_component (in CCMObject comp) raises (RemoveFailure)
CORBA::IRObject | get_component_def ()
CORBA::IRObject | get_home_def ()
void | remove_component (in CCMObject comp) raises (RemoveFailure)

## Member Function Documentation

CORBA::IRObject Components::CCMHome::get_component_def | ( |  | ) |

CORBA::IRObject Components::CCMHome::get_component_def | ( |  | ) |

CORBA::IRObject Components::CCMHome::get_home_def | ( |  | ) |

CORBA::IRObject Components::CCMHome::get_home_def | ( |  | ) |

void Components::CCMHome::remove_component | ( | in CCMObject | comp | ) | raises (RemoveFailure)

void Components::CCMHome::remove_component | ( | in CCMObject | comp | ) | raises (RemoveFailure)

The documentation for this interface was generated from the following files:

- CCM_Component.idl
- Component_Base.idl